## org.eclipse.datatools.sqltools.db.derby.core
Class DerbyControlConnection

    java.lang.Object
      org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
          org.eclipse.datatools.sqltools.db.derby.core.DerbyControlConnection

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.datatools.sqltools.core.IControlConnection

    public class DerbyControlConnection

extends org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
implements org.eclipse.datatools.sqltools.core.IControlConnection

Author:
  Hui Cao

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
`org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection.SQLToolsManagedConnectionListener`

Constructor Summary
`DerbyControlConnection(org.eclipse.datatools.sqltools.core.IControlConnectionManager manager, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary
`void` `profileRenamed(java.lang.String profileName)`
`void` `registerInternalConn(java.lang.String connid)`
`void` `unregisterInternalConn(java.lang.String connid)`

Methods inherited from class org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection
`convertToInternalConnId, createConnection, disconnect, disconnect, executeDDL, fireChange, getAdapter, getAllProcs, getDatabaseIdentifier, getDatabaseName, getDBItem, getDbUsername, getManager, getProcSource, getReusableConnection, getTypeByNameStr, isTextHidden, okToDisconnect, refresh, refresh, registerSkip, saveRoutine, supportsDebugging, unregisterSkip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.core.IControlConnection
`convertToInternalConnId, createConnection, disconnect, disconnect, executeDDL, getAllProcs, getDatabaseIdentifier, getDBItem, getDbUsername, getProcSource, getReusableConnection, getTypeByNameStr, isTextHidden, okToDisconnect, refresh, refresh, saveRoutine, supportsDebugging`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### DerbyControlConnection

    public DerbyControlConnection(org.eclipse.datatools.sqltools.core.IControlConnectionManager manager,
                                  org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

Parameters:
  `sd` -
Throws:
  `java.sql.SQLException`
  `org.eclipse.datatools.sqltools.core.profile.NoSuchProfileException`

Method Detail

### profileRenamed

    public void profileRenamed(java.lang.String profileName)

  Specified by:
    `profileRenamed` in interface `org.eclipse.datatools.sqltools.core.IControlConnection`
  Overrides:
    `profileRenamed` in class `org.eclipse.datatools.sqltools.internal.core.AbstractControlConnection`

### registerInternalConn

    public void registerInternalConn(java.lang.String connid)

### unregisterInternalConn

    public void unregisterInternalConn(java.lang.String connid)